Personas
Personas define personality, tone, and behavioral traits for agents.
List personas
GET /api/personas
Authorization: Bearer nxr_...List builtin personas
GET /api/personas/builtin
Authorization: Bearer nxr_...Create persona
POST /api/personas
Authorization: Bearer nxr_...
Content-Type: application/json
{
"key": "senior-engineer",
"name": "Senior Engineer",
"description": "Methodical, pragmatic, detail-oriented",
"icon": "sparkles",
"system_prompt": "You are a methodical, pragmatic senior engineer...",
"soul": {
"tone": "professional",
"verbosity": "concise"
},
"default_skills": [],
"default_tools": []
}Update persona
PATCH /api/personas/{persona_id}
Authorization: Bearer nxr_...Delete persona
DELETE /api/personas/{persona_id}
Authorization: Bearer nxr_...Export persona
GET /api/personas/{persona_id}/export
Authorization: Bearer nxr_...Assign a persona to an agent via the persona_id field when creating or updating an agent.